VirtualBox

Ticket #20693 (new defect)

Opened 12 months ago

Last modified 12 months ago

VERR_VERSION_MISMATCH in VBoxExtPackRegister on 6.1.30

Reported by: rgaudin Owned by:
Component: other Version: VirtualBox 6.1.30
Keywords: Cc:
Guest type: other Host type: Mac OS X

Description

After upgrading to 6.1.30, I can't install the matching Extension Pack on macOS Monterey (12.0.1)

VBoxExtPackRegister returned VERR_VERSION_MISMATCH, pReg=0000000000000000 ErrInfo='Helper version mismatch - expected 0x3 got 0x30000'.


Result Code: 
NS_ERROR_FAILURE (0x80004005)
Component: 
ExtPackManagerWrap
Interface: 
IExtPackManager {70401eef-c8e9-466b-9660-45cb3e9979e4}

The culprit seems clearly visible in the error message: 0x3 vs 0x30000

Change History

comment:1 Changed 12 months ago by klaus

This message looks to me like you're using the extpack 6.1.26 or older with VirtualBox 6.1.30 (extpack 6.1.26 or older with VirtualBox 6.1.28 or newer is the precise condition). That would produce exactly this error message. If you use consistently 6.1.30 everything should be good.

Last edited 12 months ago by klaus (previous) (diff)

comment:2 Changed 12 months ago by rgaudin

VirtualBox version: 6.1.30 r148432 (Qt5.6.3)

Extpack filename: Oracle_VM_VirtualBox_Extension_Pack-6.1.30.vbox-extpack Downloaded from:  https://download.virtualbox.org/virtualbox/6.1.30/Oracle_VM_VirtualBox_Extension_Pack-6.1.30.vbox-extpack

I manually downloaded this after the auto-update feature failed the same way. I believe my versions are in order.

comment:3 Changed 12 months ago by klaus

If you start with a VirtualBox 6.1.26 or older install with matching extension pack, then after upgrading the main package to 6.1.30 you'll get this complaint when running a VM (and when checking the extpack state in the GUI it will also show the "error" cross). After you actually upgrade the extpack to 6.1.30 (using the "+" icon on the right) there should be a green checkmark again and VMs should start as usual.

I suspect that you didn't finish the extpack upgrade yet.

comment:4 Changed 12 months ago by rgaudin

No, here's what I did:

  • upgraded to 6.1.30 (with a restart I think)
  • VBox proposed to upgrade extpack. accepted
  • That failed
  • Manually removed the previous extpack
  • Manually added the new one.
  • That failed again, hence this ticket.

Now after starting VBox again, without any other operation, the extpack is marked as active and there is no error message.

So, my understanding of this is that the error message is normal and VBox should be closed and restarted. This is poor experience but since it's “working” I'll let you decide what to do with this ticket.

comment:5 Changed 12 months ago by klaus

Will need to retry with this sequence. I never saw any error message when installing the 6.1.30 extpack in 6.1.30 from "no extpack there" state.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use